Subject: bug#67752: closed (Re: bug#67752: [PATCH] Fix (setopt register-separator "\n") non-matching type warning)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Dec 2023 20:22:02 +0000

Your bug report

#67752: [PATCH] Fix (setopt register-separator "\n") non-matching type  warning

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67752: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67752
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67752: [PATCH] Fix (setopt register-separator "\n") non-matching type warning
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 16 Dec 2023 22:21:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 16 Dec 2023 20:02:43 +0000
> From: [email-masked]
> Cc: [email-masked]
> 
> 
> 
> On 16.12.2023 13:06, Eli Zaretskii wrote:
> > tags 67752 notabug
> [...]
> > I think register-separator is supposed to be a register, not a
> > separator string.  That's how it is documented.
> > 
> > So I don't think these changes should be installed.
> > 
> Indeed, I did not understand from the documentation that the
> "+" register is special and that one can do directly:
> (set-register ?+ "\n*REGISTER SEPARATOR*\n")
> 
> I am sorry for the noise and you can close the bug as far as it
> concerns me.

No need to apologize.  I'm closing the bug.

Subject: [PATCH] Fix (setopt register-separator "\n") non-matching type warning
From: [email-masked]
To: [email-masked]
Date: Sun, 10 Dec 2023 17:37:49 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

attached patch fixes "(setopt register-separator "\n") non-matching
type warnings" and makes the register-separator documentation
less confusing to me.

Regards -- Gerard